eCommerce - ProductsRetrieve all products

Retrieve all products

curl -X GET "https://www.my-site.com/api/site/v2/ecommerce/products?per_page=20&sort_type=created_at&sort_order=desc&page=1" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY"
{}
GET
/ecommerce/products
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
query
per_pageinteger

Number of items to retireve, maximum of 500

query
sort_typestring

Field by which to sort the results

query
sort_orderstring

Order of results

Options: asc, desc
query
pageinteger

Page to retrieve number, to be used with per_page

Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Query Parameters

per_pageinteger

Number of items to retireve, maximum of 500

Example:
20
sort_typestring

Field by which to sort the results

Examples:
created_atSort by creation date (default)
updated_atSort by last updated date
idSort by ID
nameSort by product name
slugSort by slug
sort_orderstring

Order of results

Allowed values:ascdesc
pageinteger

Page to retrieve number, to be used with per_page

Example:
1

Responses

OK